Blog has been upgraded to WordPress v2.6!

Yep.. that time again to upgrade my blog to the latest version, WordPress v2.6. Once again, I had to edit the /wp-includes/vars.php to force $is_apache to true because the server software reports back as WebServerX. Following is the server detection part of the script:

// Server detection

/**
 * Whether the server software is Apache or something else
 * @global bool $is_apache
 */

//$is_apache = ((strpos($_SERVER['SERVER_SOFTWARE'], 'Apache') !== false) || (strpos($_SERVER['SERVER_SOFTWARE'], 'LiteSpeed') !== false)) ? true : false;
$is_apache = true;

/**
 * Whether the server software is IIS or something else
 * @global bool $is_IIS
 */

$is_IIS = (strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS') !== false) ? true : false;

Other than that, the upgrade went smooth! 🙂